package libc6:i386 2.23-0ubuntu9 failed to install/upgrade: package libc6:i386 is not ready for configuration cannot configure (current status 'half-installed')

Bug #1699487 reported by elias kammoun on 2017-06-21
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
glibc (Ubuntu)
Undecided
Unassigned

Bug Description

Description: Ubuntu 16.04 LTS

ekammoun@ekammoun-ThinkPad-E550:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  linux-generic linux-headers-generic linux-image-generic
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
Need to get 0 B/2,269 kB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
dpkg: error processing package libc6:i386 (--configure):
 package libc6:i386 is not ready for configuration
 cannot configure (current status 'half-installed')
Errors were encountered while processing:
 libc6:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: libc6:i386 2.23-0ubuntu9
ProcVersionSignature: Ubuntu 4.4.0-79.100-generic 4.4.67
Uname: Linux 4.4.0-79-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.6
AptOrdering:
 libc6: Configure
 NULL: ConfigurePending
Architecture: amd64
Date: Wed Jun 21 14:15:19 2017
Dependencies:
 gcc-6-base 6.0.1-0ubuntu1
 libc6 2.23-0ubuntu9
 libgcc1 1:6.0.1-0ubuntu1
DpkgTerminalLog:
 dpkg: error processing package libc6:i386 (--configure):
  package libc6:i386 is not ready for configuration
  cannot configure (current status 'half-installed')
ErrorMessage: package libc6:i386 is not ready for configuration cannot configure (current status 'half-installed')
InstallationDate: Installed on 2016-08-23 (301 days ago)
InstallationMedia: Ubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
PackageArchitecture: i386
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.2
 apt 1.2.20
SourcePackage: glibc
Title: package libc6:i386 2.23-0ubuntu9 failed to install/upgrade: package libc6:i386 is not ready for configuration cannot configure (current status 'half-installed')
UpgradeStatus: No upgrade log present (probably fresh install)

elias kammoun (elias-kammoun) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in glibc (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers